org.bdgenomics.adam.sql

# Fragment

###
Related Docs: object Fragment | package sql

#### case class Fragment(name: Option[String] = None, recordGroupName: Option[String] = None, insertSize: Option[Int] = None, alignments: Seq[AlignmentRecord] = Seq()) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Fragment
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Fragment(name: Option[String] = None, recordGroupName: Option[String] = None, insertSize: Option[Int] = None, alignments: Seq[AlignmentRecord] = Seq())

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val alignments: Seq[AlignmentRecord]

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def canEqual(that: Any): Boolean

   Definition Classes
     Fragment → Equals

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### val insertSize: Option[Int]

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### val name: Option[String]

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### def productArity: Int

    Definition Classes
      Fragment → Product

18. #### def productElement(i: Int): Any

    Definition Classes
      Fragment → Product

19. #### val recordGroupName: Option[String]

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def toAvro: formats.avro.Fragment

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped